LFR-FSW - Bug #64

PA _LFR_ACQUISITION _TIME de TM_LFR_SCIENCE_SBM1_CWF F1
21/02/2014 05:58 PM - Gerald Saule

Status: Closed Start date: 21/02/2014
Priority: Normal Due date:

Assignee: paul leroy % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r104

Description

Le champ PA_LFR_ACQUISITION_TIME de TM_LFR_SCIENCE_SBM1_CWF_F1, en plus d'évoluer perpétuellement, est parfois
erroné.

14:28:38.876624, TM_LFR_SCIENCE_SBM1_CWF_F1, TIME=0x1360b, PA_LFR_ACQUISITION_TIME=0xc2b00
14:28:39.481475, TM_LFR_SCIENCE_SBM1_CWF_F1, TIME=0x1ddc1, PA_LFR_ACQUISITION_TIME=0x135b8

Calcul des deltas:

PC=0,604851s

TIME=0,65512085s
PA_LFR_ACQUISITION_TIME décroissant!

La période est fonctionnellement correcte; les mesures faites par I'horloge du PC (potentiellement dégradées par d'éventuelles
variations de charge CPU) sont trés satisfaisantes.

Le champ TIME est tout a fait vraisemblable.

NB: Issue a rapprochée de Bug #60 (Le champ PA_LFR_ACQUISITION_TIME de TM_LFR_SCIENCE_BURST_CWF_F2 est
erroné)

Contexte:

LPPMON Version=0.2.2 Branch=default Changeset=835955994d5f

Carte mini-LFR:LFR-172200 dev V1.0; No série |l (sans connecteurs sub-click)
Vhdl: mini-Ifr_0.0.0.15

Soft: 1.0.0.1 (variante sur carte finale)

Brique Star-Dundee S/N 46120065.

TEST CASE = SVS_0007

RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev0
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev1

History

#1 - 04/03/2014 11:18 AM - paul leroy

- Status changed from New to Resolved

a retester avec la configuration suivante:

fsw >=1.0.0.2

VHDL >=0.0.10

des corrections majeures ont été faites sur le design VHDL, cela devrait corriger les bugs

#2 - 06/03/2014 10:09 AM - Gerald Saule
- Status changed from Resolved to Closed

- revision changed from r98 to r104

Les TM_LFR_SCIENCE_SBM1_CWF_F1 sont émis par salves de 8 (chaque salve correspondant a la taille du buffer: LFR_CWF_L = 2688 octets).
Dans les traces obtenues, aucun pb n'est vu sur PA_LFR_ACQUISITION_TIME de TM_LFR_SCIENCE_SBM1_CWF_F1.

Notamment, sur 259 mesures du délai entre les salves, en utilisant PA_LFR_ACQUISITION_TIME, on attend et mesure 0.65625s exactement.
(pour info, en utilisant la datation par I'horloge du pc, on obtient min=0.643167s, mean=0.656247s, max=0.669342s).
https://hephaistos.lpp.polytechnique.fr/redmine/issues/60

=>Cette issue peut étre fermée. check.png

Contexte:
LPPMON Version=0.2.2 - Branch=default - Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série Ill (sans connecteurs sub-click)
Vhdl: mini-lfr_VHDLib206 (Carte mini-LFR)
Soft: 1.0.0.2 (variante sur carte finale) = r104

Brique Brique Star-Dundee S/N 46120065.

RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev0
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev1
